ZeroTurnaround Blog

Product Updates, Company News & Fun

JRebel 4.6.2 Released

This week we released a new minor version of JRebel. You can download the latest version of JRebel right now.

The new version includes a number of bugfixes and improvements for GWT, Tiles, Spring, Liferay, JBoss, etc. See the changelog for the full list of additions.

There’s one very specific fix that concerns Spring users: for the <include> directives in Spring XML configuration files, if the included resources are specified using wildcards (*), given there’s multiple resources with the same name, the things didn’t work quite well.

The current release now includes a small fix, which is actually disabled by default, that tries to fix the aforementioned shortcoming. The feature is enabled using -Drebel.spring.classpath_classloader_delegate=true VM argument.

We’re still working on JBoss 7 CDI integration making it more stable with every release. Hopefully we can cover all the use cases, and we’re looking for the users’ feedback!

Download the latest version of JRebel today!

  • Steve Taylor

    Any idea when the NetBeans plugin will be updated with the 4.6.2 jar?

  • arhan

    It is already uploaded but every time a new version of the plugin is uploaded it requires manual verification and it usually takes several days to confirm it. That’s a bit annoying I can tell, but you can download it manually from the portal: http://plugins.netbeans.org/plugin/22254/jrebel-netbeans-plugin

  • http://www.facebook.com/people/Steve-Taylor/1598234077 Steve Taylor

    That seems to be the same version (1.2), with the only noticeable difference being that it doesn’t launch GlassFish with the JRebel agent and the plugin itself throws NullPointerExceptions on NetBeans startup and when trying to launch the configuration wizard from preferences. It’s probably a good thing that it is not available for installation via the plugins menu. Very sad indeed.

  • arhan

    Steve, could you report this to support@zeroturnaround.com

  • arhan

    Maybe you’ve tried it for the latest NetBeans version, 7.2? The current version of the plugin isn’t going to work with that.